From 961115e384c666586936eb45e5872056a0884bb2 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 22 2016 06:22:07 +0000
Subject: [PATCH 423/1001] Use a single hub_edit endpoint for both GET and POST requests


Somehow, the approach of splitting hub_edit into hub_edit_get and
hub_edit_post one accepted GET only and the other POST only did not
work (while it does for editing widget). I am not sure why.
This commit move to use a single endpoint for both GET and POST but
the logic remain split into two different methods.

---

diff --git a/hubs/app.py b/hubs/app.py
index abd610b..7b725a1 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -117,16 +117,20 @@ def hub_json(name):
     return response
 
 
-@app.route('/<name>/edit/', methods=['GET'])
-@app.route('/<name>/edit', methods=['GET'])
+@app.route('/<name>/edit/', methods=['GET', 'POST'])
+@app.route('/<name>/edit', methods=['GET', 'POST'])
+def hub_edit(name):
+    if flask.request.method == 'POST':
+        return hub_edit_post(name)
+    else:
+        return hub_edit_get(name)
+
+
 def hub_edit_get(name):
     hub = get_hub(session, name)
     return flask.render_template(
         'hubs.html', hub=hub, session=session, edit=True)
 
-
-@app.route('/<name>/save/', methods=['POST'])
-@app.route('/<name>/save', methods=['POST'])
 def hub_edit_post(name):
     hub = get_hub(session, name)
 
